Bug 417198 - KDEConnect SMS app is difficult to read with a Dark theme
Summary: KDEConnect SMS app is difficult to read with a Dark theme
Status: REOPENED
Alias: None
Product: kdeconnect
Classification: Unclassified
Component: messaging-application (show other bugs)
Version: 1.4
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Simon Redman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-05 16:38 UTC by flyos
Modified: 2021-05-23 17:14 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
SMS messaging application with dark theme (62.51 KB, image/png)
2020-02-05 16:38 UTC, flyos
Details
Breeze Dark Theme Screenshot (90.38 KB, image/png)
2020-02-09 22:19 UTC, Simon Redman
Details
SMS Text invisible on Breath2Dark Color theme (22.33 KB, image/png)
2021-05-20 07:23 UTC, Lukas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description flyos 2020-02-05 16:38:58 UTC
Created attachment 125701 [details]
SMS messaging application with dark theme

When using a dark colour theme, the new KDE Connect SMS (1.4) application is very hard on the eye, I'm guessing because colours of the background of the messages is hard-coded, or at least, isn't related to the colour theme of the Plasma desktop.

Attaching a screenshot. 

Step to reproduce:
- Set up a dark colour theme (like Breeze Dark or Arc Dark)
- Open the KDEConnect SMS application
- Enter a conversation, observe the text is hard to read (though certainly not unreadable!)

Operating System: openSUSE Tumbleweed 20200201
KDE Plasma Version: 5.17.5
KDE Frameworks Version: 5.66.0
Qt Version: 5.14.1
Kernel Version: 5.4.14-1-default
OS Type: 64-bit
Comment 1 Simon Redman 2020-02-09 22:19:23 UTC
Created attachment 125806 [details]
Breeze Dark Theme Screenshot
Comment 2 Simon Redman 2020-02-09 22:20:49 UTC
Hi,

Thanks for taking the time to report this!

This looks like an issue with your theme. It works well with Breeze Dark. None of the primary text or background colours are hard-coded.

In this case, it looks like those are messages you received, so they are using Kirigami.Theme.highlightColor and Kirigami.Theme.highlightedTextColor, though those only have a difficult relationship with the Qt theme colours. (These might not be the most-ideal colours to use for this purpuse but I couldn't find better ones)

The theme colours are defined in ChatMessage.qml: https://invent.kde.org/kde/kdeconnect-kde/blob/master/smsapp/qml/ChatMessage.qml
Comment 3 flyos 2020-02-10 17:37:43 UTC
OK, I see. I forgot how it looked under Breeze Dark and should have re-tested it. It still feels a bit weird, but I guess designing for both light and dark theming is hard anyway. I'll see what I can tweak on my side.

Cheers!
Comment 4 flyos 2020-02-10 18:32:50 UTC
FYI, it's also difficult to read using "Breeze Dark High Contrast". I believe a problem is that the text colour is black no matter the colour theme?
Comment 5 flyos 2020-02-11 07:54:50 UTC
Sorry to come back to this, but could it be a bug in Kirigami?

Selected text (which corresponds to highlightedTextColor, at least in theory, right?) colour in Breeze is "#eff0f1" (so, white) and "#d3dae3" in my theme (Arc Dark). But in all screenshots published in this bug report, the text of received messages appears in black. I can't figure out where this black colour is coming from...
Comment 6 Simon Redman 2020-02-18 00:28:09 UTC
I don't know much about theming. My experience from other people has lead me to the same conclusion as you have come to: That there is something strange with the way Kirigami's theme and the Qt theme interact.
Comment 7 Christoph Feck 2020-02-18 10:34:35 UTC
Could you add a minimal working example that reproduces the issue with kirigami?
Comment 8 Lukas 2021-05-20 07:23:59 UTC
Created attachment 138588 [details]
SMS Text invisible on Breath2Dark Color theme

I'm using Manjaro with the preinstalled Breath2 Dark theme and the text in the input field is white on white background -> I'm sure you could imagine that it's hard to read ;)  Also the buttons are not visible, only on Mouseover a frame appears
Comment 9 Simon Redman 2021-05-23 17:11:21 UTC
@Christopher, sorry I missed your message before. The issue turned out to be a missing theme color option in Kirigami which was deprecated and removed. See the MR for details: https://invent.kde.org/network/kdeconnect-kde/-/merge_requests/393

@flyos: good news, the merge request above solves the problem for me and very likely will help you as well. I'm making this bug as a duplicate (not from particular merit of either one, just because I need to pick one)

*** This bug has been marked as a duplicate of bug 434791 ***
Comment 10 Simon Redman 2021-05-23 17:14:07 UTC
Ah sorry. I got confused. Please ignore my previous comment.
@Luxas, your problem is the one in the linked bug, and should be fixed.

@flyos, unfortunately I still don't have any idea how to help you. I am very unfamiliar with dealing with themes and how they interact with Kirigami/qml apps